import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MaterialModule } from 'packages/commons/material/material.module';
import { FooterComponent } from './footer/footer.component';
import { NotificationModule } from 'packages/notification/notification.module';
import { HeaderComponent } from './header/header.component';
import { LocalizationModule } from 'angular-l10n';
import { RouterModule } from '@angular/router';
import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';
import { MenuItemModule } from 'packages/commons/component/menu-item/menu-item.module';
import { SidebarComponent } from './sidebar/sidebar.component';
import { SubMenubarComponent } from './sub-menubar/sub-menubar.component';

@NgModule({
    imports: [
        CommonModule,
        MaterialModule,
        NotificationModule,
        LocalizationModule,
        RouterModule,
        PerfectScrollbarModule,
        MenuItemModule,
    ],
    declarations: [
        FooterComponent,
        HeaderComponent,
        SidebarComponent,
        SubMenubarComponent
    ],
    exports: [
        FooterComponent,
        HeaderComponent,
        SidebarComponent,
        SubMenubarComponent
    ]
})
export class LayoutModule { }
